package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFC21Data {

    private Map<String, Object> params;
    
    public MWFC21Data(Map<String, Object> params) {
        this.params = params;
    }

    public Long rsPoradovecislo() {
        return (Long) params.get("RS_PORADOVECISLO");
    }

    public java.util.Date rsDatumvydani() {
        return (java.util.Date) params.get("RS_DATUMVYDANI");
    }

    public String rsProgram() {
        return (String) params.get("RS_PROGRAM");
    }

    public String rsInv() {
        return (String) params.get("RS_INV");
    }

    public Long rsBody() {
        return (Long) params.get("RS_BODY");
    }

    public Long rsPocetvoucheru() {
        return (Long) params.get("RS_POCETVOUCHERU");
    }

    public String rsStatus() {
        return (String) params.get("RS_STATUS");
    }

    public Long rsSeriovecislo() {
        return (Long) params.get("RS_SERIOVECISLO");
    }

    public Double rsHodnota() {
        return (Double) params.get("RS_HODNOTA");
    } 

}
